List Of Apply Changes

List Of Apply Changes
List of Apply Changes

Returns a list of products deployed in each Apply Change All products which are deployed as part of an Apply Change will be listed in one of the following groups:

  • additions: newly installed products
  • updates: settings were changed or the product was upgraded
  • deletions: the product was deleted
  • unchanged: none of the above, but the product was still redeployed
Request
URI
GET
https://{opsmanager-installation}/api/v0/installations
COPY
Query Parameters
integer
page_num
Optional
Constraints: minimum: 1

(Optional) The page of results to retrieve. Leaving this unset disables pagination.

integer
per_page
Optional
Constraints: minimum: 1

(Optional) The number of Installation records to retrieve per page. If unset, it will be a server-defined default. If set without also setting 'page_num', it will be ignored.


Responses
200

OK

{
    "installations": [
        {
            "status": "string",
            "started_at": "string",
            "finished_at": "string",
            "id": "string",
            "user_name": "string",
            "additions": [
                {
                    "identifier": "string",
                    "label": "string",
                    "product_version": "string",
                    "change_type": "string",
                    "deployment_status": "string",
                    "guid": "string",
                    "started_at": "string",
                    "finished_at": "string"
                }
            ],
            "deletions": [
                {
                    "identifier": "string",
                    "label": "string",
                    "product_version": "string",
                    "change_type": "string",
                    "deployment_status": "string",
                    "guid": "string",
                    "started_at": "string",
                    "finished_at": "string"
                }
            ],
            "updates": [
                {
                    "identifier": "string",
                    "label": "string",
                    "product_version": "string",
                    "change_type": "string",
                    "deployment_status": "string",
                    "guid": "string",
                    "started_at": "string",
                    "finished_at": "string"
                }
            ],
            "unchanged": [
                {
                    "identifier": "string",
                    "label": "string",
                    "product_version": "string",
                    "change_type": "string",
                    "deployment_status": "string",
                    "guid": "string",
                    "started_at": "string",
                    "finished_at": "string"
                }
            ]
        }
    ]
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/v0/installations